<%= form_with(model: librarian, local: true) do |form| %>
  <% if librarian.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(librarian.errors.count, "error") %> prohibited this librarian from being saved:</h2>

      <ul>
      <% librarian.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name, id: :librarian_name %>
  </div>

      <div class="field">
        <%= form.label :email %>
        <%= form.email_field :email %>
      </div>

      <div class="field">
        <%= form.label :password %>
        <%= form.password_field :password %>
      </div>

      <div class="field">
        <%= form.label :password_confirmation %>
        <%= form.password_field :password_confirmation %>
      </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
